readCdfGroupNames {affxparser} | R Documentation

## Reads group names for a set of units (probesets) in an Affymetrix CDF file

### Description

Reads group names for a set of units (probesets) in an Affymetrix CDF file.

This is for instance useful for SNP arrays where the nucleotides used for the A and B alleles are the same as the group names.

### Usage

    readCdfGroupNames(filename, units=NULL, verbose=0)

### Arguments

`filename` | The filename of the CDF file.
`units` | An `integer` `vector` of unit indices specifying which units to be read. If `NULL`, all units are read.
`verbose` | An `integer` specifying the verbose level. If 0, the file is parsed quietly. The higher numbers, the more details.

### Value

A named `list` structure where the names of the elements are the names of the units read. Each element is a `character` `vector` with group names for the corrsponding unit.

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

### See Also

`readCdfUnits`().

[Package affxparser version 1.6.2 Index]